Sympa::Spindle::ProcessRequest(3Sympa)

NAME
Sympa::Spindle::ProcessRequest - Workflow of request processing

SYNOPSIS
  use Sympa::Spindle::ProcessRequest;

  my $spindle = Sympa::Spindle::ProcessRequest->new(
      context => $robot, [options...],
      scenario_context => {sender => $sender});
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessRequest defines workflow to process requests.

When spin() method is invoked, it generates requests and processes them.

TBD.

•

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( options, ..., scenario_context => {context...} )
spin ( )
    new() may take following options:

    options, ...
        Context (List or Robot) and other options to generate the requests. See Sympa::Request for more details.

        If one of their value is arrayref, repeatedly generates instances over each array item.

    scenario_context => {context...}
        Authorization context given to scenario.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Request::Collection class.

SEE ALSO
Sympa::Request, Sympa::Request::Collection, Sympa::Spindle, Sympa::Spindle::AuthorizeRequest,

HISTORY
Sympa::Spindle::ProcessRequest appeared on Sympa 6.2.15.